Samba Server per Script ohne Internet installieren

Dieses Thema im Forum "Samba" wurde erstellt von Raylow, 09.11.2009.

  1. Raylow

    Raylow Jungspund

    Dabei seit:
    03.02.2006
    Beiträge:
    12
    Zustimmungen:
    0
    Hallo zusammen,

    und zwar muss ich den Samba Server per Script (oder per Kickstart, nur leider im Kickstart-Konfigurator nicht auswählbar) installieren.

    Problem dabei sind Abhängigkeiten.
    Ich hab mal alle samba RPMs von der Fedora 10 DVD auf den Desktop in den Ordner samba kopiert.

    Dennoch meckert yum, dass samba-common = 3.2.4-0.22.fc10 fehlt.
    Allerdings is in dem Ordner samba das RPM samba-common-3.2.4-0.22.fc10.i386.rpm vorhanden..


    Code:
    [root@localhost samba]# ls -l
    insgesamt 27700
    -rw-r--r-- 1 alex root  4072508 31. Okt 2008  samba-3.2.4-0.22.fc10.i386.rpm
    -rw-r--r-- 1 alex root  9773982 31. Okt 2008  samba-client-3.2.4-0.22.fc10.i386.rpm
    -rw-r--r-- 1 alex root 11421123 31. Okt 2008  samba-common-3.2.4-0.22.fc10.i386.rpm
    -rw-r--r-- 1 alex root  3044134 31. Okt 2008  samba-winbind-3.2.4-0.22.fc10.i386.rpm
    
    [root@localhost samba]# yum localinstall *.rpm
    Geladene Plugins: refresh-packagekit
    Einrichten der lokalen Paketverarbeitung
    Untersuche samba-3.2.4-0.22.fc10.i386.rpm: samba-3.2.4-0.22.fc10.i386
    Markiere samba-3.2.4-0.22.fc10.i386.rpm zum Installieren
    Untersuche samba-client-3.2.4-0.22.fc10.i386.rpm: samba-client-3.2.4-0.22.fc10.i386
    samba-client-3.2.4-0.22.fc10.i386.rpm: aktualisiert installierte Pakete nicht.
    Untersuche samba-common-3.2.4-0.22.fc10.i386.rpm: samba-common-3.2.4-0.22.fc10.i386
    samba-common-3.2.4-0.22.fc10.i386.rpm: aktualisiert installierte Pakete nicht.
    Untersuche samba-winbind-3.2.4-0.22.fc10.i386.rpm: samba-winbind-3.2.4-0.22.fc10.i386
    samba-winbind-3.2.4-0.22.fc10.i386.rpm: aktualisiert installierte Pakete nicht.
    Löse Abhängigkeiten auf
    --> Führe Transaktionsprüfung aus
    ---> Paket samba.i386 0:3.2.4-0.22.fc10 markiert, um aktualisiert zu werden
    --> Verarbeite Abhängigkeiten: samba-common = 3.2.4-0.22.fc10 für Paket: samba-3.2.4-0.22.fc10.i386
    --> Verarbeite Abhängigkeiten: perl(Convert::ASN1) für Paket: samba-3.2.4-0.22.fc10.i386
    --> Führe Transaktionsprüfung aus
    ---> Paket perl-Convert-ASN1.noarch 0:0.21-3.fc9 markiert, um aktualisiert zu werden
    ---> Paket samba.i386 0:3.2.4-0.22.fc10 markiert, um aktualisiert zu werden
    --> Verarbeite Abhängigkeiten: samba-common = 3.2.4-0.22.fc10 für Paket: samba-3.2.4-0.22.fc10.i386
    --> Abhängigkeitsauflösung beendet
    samba-3.2.4-0.22.fc10.i386 von /samba-3.2.4-0.22.fc10.i386 hat Abhängigkeitsauflöse-Probleme
      --> Fehlende Abhängigkeit: samba-common = 3.2.4-0.22.fc10 wird benötigt von Paket samba-3.2.4-0.22.fc10.i386 (/samba-3.2.4-0.22.fc10.i386)
    Fehler: Fehlende Abhängigkeit: samba-common = 3.2.4-0.22.fc10 wird benötigt von Paket samba-3.2.4-0.22.fc10.i386 (/samba-3.2.4-0.22.fc10.i386)
     Sie können versuchen --skip-broken zu benutzen, um das Problem zu umgehen.
     Sie können versuchen das folgenden auszuführen: package-cleanup --problems
                            package-cleanup --dupes
                            rpm -Va --nofiles --nodigest
    						
    [root@localhost samba]# 
    

    Lange Rede, kurzer Sinn, ich muss es irgendwie hinbekommen, Samba Server über ein Script ohne Internetanbindung zu installieren... :think:
    Bin langsam echt am verzweifeln.. sowas Banales :(

    Schonmal vielen Dank für jede Hilfe!!
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 zero667, 16.11.2009
    zero667

    zero667 Grünschnabel

    Dabei seit:
    16.11.2009
    Beiträge:
    7
    Zustimmungen:
    0
    Hi,

    ich kenne mich mit yum nicht so aus, aber kann es sein, dass du eine aktuellere Version von samba-common lokal installiert hast, und er deshalb nicht "downgraded"?

    Code:
    samba-common-3.2.4-0.22.fc10.i386.rpm: aktualisiert installierte Pakete nicht.
    
    Probier doch mal vorher alle 4 Pakete lokal zu deinstallieren (falls installiert).
     
  4. #3 flugopa, 16.11.2009
    flugopa

    flugopa Der lernwillige

    Dabei seit:
    27.05.2006
    Beiträge:
    739
    Zustimmungen:
    0
    Ort:
    München
    Code:
    -rw-r--r-- 1 alex root  4072508 31. Okt 2008  samba-3.2.4-0.22.fc10.i386.rpm
    
    Jetzt bin ich etwas verwirrt, eben noch Gentoo jetzt fc10, wo es doch schon fc12 gibt.
    Unter FCx ist
    Code:
     man yum 
    sehr hilfreich.

    Wenn kein Internet zur Verfügung steht (die meisten staatlichen Schulen in München, besitzen eine Anbindung die weniger als 1Mbit beträgt) nehme ich mein NB mit der die ISO gemountet hat. (NB läuft mit web, nfs, dhcp,dns,tftp)
     
  5. Raylow

    Raylow Jungspund

    Dabei seit:
    03.02.2006
    Beiträge:
    12
    Zustimmungen:
    0
    Hi Leute,

    danke für Eure Antworten!
    Hab's inzwischen hinbekommen..

    Hab das Fedora nochmal aufgesetzt und alles auf einem frischen System probiert.
    Ging dann auch hiermit:

    rpm -ihv /Packages/perl-Convert-ASN1-0.21-3.fc9.noarch.rpm
    rpm -ihv /Packages/samba-common-3.2.4-0.22.fc10.i386.rpm
    rpm -ihv /Packages/samba-client-3.2.4-0.22.fc10.i386.rpm
    rpm -ihv /Packages/samba-winbind-3.2.4-0.22.fc10.i386.rpm
    rpm -ihv /Packages/samba-3.2.4-0.22.fc10.i386.rpm
    rpm -ihv /Packages/pam_smb-1.1.7-9.fc10.i386.rpm
    rpm -ihv /Packages/system-config-samba-1.2.67-1.fc10.noarch.rpm

    Kennt jemand von Euch eine Seite, wo man zu jedem Paket die jeweilige Abhängigkeiten sehen kann (eine Übersicht mit allen Abhängigkeiten oder so), ohne sich von RPM Paket zu RPM Paket hangeln zu müssen?
     
  6. #5 zero667, 17.11.2009
    zero667

    zero667 Grünschnabel

    Dabei seit:
    16.11.2009
    Beiträge:
    7
    Zustimmungen:
    0
    Hi,

    hm, wie wär's damit?
    Code:
    yum deplist PACKAGE
    P.S.: Wie schon gesagt, kein FC hier.
     
Thema:

Samba Server per Script ohne Internet installieren

Die Seite wird geladen...

Samba Server per Script ohne Internet installieren - Ähnliche Themen

  1. Autehtifizierung gegen Password Server nach Update SAMBA 3.6.6

    Autehtifizierung gegen Password Server nach Update SAMBA 3.6.6: Hi... ich bekomme einfach den "Dreh" nicht an meine Recherche/Suche nach einer Lösung: Ein Samba 3.5.6 (läßt sich leider z.Z. nicht updaten) läuft...
  2. Anmeldung auf Samba4 Server

    Anmeldung auf Samba4 Server: Ein debian 8 server mit samba4 als pdc und file server installiert. Alle Konfigurationen sind gut gelaufen und samba4 hat bis jetzt einwandfrei...
  3. Sambaserver im Netzwerk nicht sichtbar

    Sambaserver im Netzwerk nicht sichtbar: Hallo liebe Forengemeinde, mein Name ist Oliver, bin 47 Jahre "jung" ;) und habe vor vielen Jahren eine Zeit lang mit Suse, Debian, Fedora &...
  4. PDF Dokumente vom Samba 4 server aus könen nicht geöffnet werden.

    PDF Dokumente vom Samba 4 server aus könen nicht geöffnet werden.: Ich habe 3 Rechner. Der erste ist wo samba 4 als AD Dc installiert und gleichzeitig Datenfreigabe im smb.conf konfiguriert ist. Die anderen 2...
  5. Printserver auf Samba Server installieren

    Printserver auf Samba Server installieren: Hallo zusammen, ich möchte auf einen Samba-Server einen Printserver installieren. Auf diesem sollen die Treiber hinterlegt sein und der...